# aipipeline/projects/cfe/config.yml
# Config file for CFE project production

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-isiis"
  port: 6382
  project: "902111-ISIIS"

mounts:
  - name: "image"
    path: "/mnt/CFElab"
    host: "https://cortex.shore.mbari.org"
    nginx_root: "/CFElab"

  - name: "video"
    path: "/mnt/CFElab"
    host: "https://cortex.shore.mbari.org"
    nginx_root: "/CFElab"

data:
  cleanvision_issues:
    - name: "low_information"
      threshold: 0.53
    - name: "blurry"
    - name: "dark"

sdcat:
  model: "hustvl/yolos-tiny"
  ini: "sdcat.ini"

vss:
  project: "902111-ISIIS"
  model: "/mnt/DeepSea-AI/models/CFE/cfe_isiis_dino_v7-20250916/"
  output_path: "/mnt/DeepSea-AI/data/CFE/processed/vss"


tator:
  project: "902111-ISIIS-Deployments"
  host: "https://mantis.shore.mbari.org"
  url_load: "https://cortex.shore.mbari.org/tator-bulk/label/id"
  image:
    attributes:
      iso_datetime:
        type: datetime
      depth:
        type: float
  video:
    attributes:
      iso_start_datetime:
        type: datetime
      instrument:
        type: enum
  box:
    attributes:
      Label:
        type: string
      score:
        type: float
      cluster:
        type: string
      saliency:
        type: float
      area:
        type: int
      score_s:
        type: float
      label_s:
        type: string
      depth:
        type: float
      delete:
        type: bool
      verified:
        type: bool
      predicted_label:
        type: string
      anomaly_score:
        type: float
      noise_score:
        type: float
      prediction_v2:
        type: string
      prediction_v3:
        type: string
      score_v2:
        type: float
      score_v3:
        type: float

plugins:
  - name: "extractor"
    module: "mbari_aidata.plugins.extractors.tap_cfe_media"
    function: "extract_media"
